View Issue Details

IDProjectCategoryView StatusLast Update
0014566CentOS-7python-setuptoolspublic2018-03-19 17:22
Reporterabhaysap 
PrioritynormalSeveritymajorReproducibilityalways
Status newResolutionopen 
Product Version7.4.1708 
Target VersionFixed in Version 
Summary0014566: opentack packstack installation error on cent os
DescriptionAm getting below error during openstack packstack allinone installation on centos


[root@localhost ~]# cat /etc/centos-release
CentOS Linux release 7.4.1708 (Core)
[root@localhost ~]#



[root@localhost ~]# sudo packstack --allinone
ERROR:root:Failed to load plugin from file ssl_001.py
ERROR:root:Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/packstack/installer/run_setup.py", line 923, in loadPlugins
    moduleobj = __import__(moduleToLoad)
  File "/usr/lib/python2.7/site-packages/packstack/plugins/ssl_001.py", line 20, in <module>
    from OpenSSL import crypto
  File "/usr/lib/python2.7/site-packages/OpenSSL/__init__.py", line 8, in <modul e>
    from OpenSSL import rand, crypto, SSL
  File "/usr/lib/python2.7/site-packages/OpenSSL/crypto.py", line 13, in <module >
    from cryptography.hazmat.primitives.asymmetric import dsa, rsa
  File "/usr/lib64/python2.7/site-packages/cryptography/hazmat/primitives/asymme tric/rsa.py", line 14, in <module>
    from cryptography.hazmat.backends.interfaces import RSABackend
  File "/usr/lib64/python2.7/site-packages/cryptography/hazmat/backends/__init__ .py", line 7, in <module>
    import pkg_resources
ImportError: No module named pkg_resources

ERROR:root:Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/packstack/installer/run_setup.py", line 988, in main
    loadPlugins()
  File "/usr/lib/python2.7/site-packages/packstack/installer/run_setup.py", line 931, in loadPlugins
    raise Exception("Failed to load plugin from file %s" % item)
Exception: Failed to load plugin from file ssl_001.py


ERROR : Failed to load plugin from file ssl_001.py



TagsNo tags attached.
abrt_hash
URL

Activities

abhaysap

abhaysap

2018-03-08 22:34

reporter  

openstack error.txt (2,560 bytes)
am getting below error during openstack all in installation on centos(
[root@localhost ~]# cat /etc/centos-release
CentOS Linux release 7.4.1708 (Core)
[root@localhost ~]#



[root@localhost ~]# sudo packstack --allinone
ERROR:root:Failed to load plugin from file ssl_001.py
ERROR:root:Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/packstack/installer/run_setup.py", line                                                                                                              923, in loadPlugins
    moduleobj = __import__(moduleToLoad)
  File "/usr/lib/python2.7/site-packages/packstack/plugins/ssl_001.py", line 20,                                                                                                              in <module>
    from OpenSSL import crypto
  File "/usr/lib/python2.7/site-packages/OpenSSL/__init__.py", line 8, in <modul                                                                                                             e>
    from OpenSSL import rand, crypto, SSL
  File "/usr/lib/python2.7/site-packages/OpenSSL/crypto.py", line 13, in <module                                                                                                             >
    from cryptography.hazmat.primitives.asymmetric import dsa, rsa
  File "/usr/lib64/python2.7/site-packages/cryptography/hazmat/primitives/asymme                                                                                                             tric/rsa.py", line 14, in <module>
    from cryptography.hazmat.backends.interfaces import RSABackend
  File "/usr/lib64/python2.7/site-packages/cryptography/hazmat/backends/__init__                                                                                                             .py", line 7, in <module>
    import pkg_resources
ImportError: No module named pkg_resources

ERROR:root:Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/packstack/installer/run_setup.py", line                                                                                                              988, in main
    loadPlugins()
  File "/usr/lib/python2.7/site-packages/packstack/installer/run_setup.py", line                                                                                                              931, in loadPlugins
    raise Exception("Failed to load plugin from file %s" % item)
Exception: Failed to load plugin from file ssl_001.py


ERROR : Failed to load plugin from file ssl_001.py



openstack error.txt (2,560 bytes)
mirzouch

mirzouch

2018-03-09 22:23

reporter   ~0031402

Hello,

Install Python pip and run again packstack
# yum install python-pip
# pip install --upgrade pip
# packstack --allinone

Mirzouch
abhaysap

abhaysap

2018-03-10 21:47

reporter   ~0031406

Thanks Mirzouch it got resolved by installing pythonsetuptools,and updating pi.
hguemar

hguemar

2018-03-14 15:18

reporter   ~0031434

Erm, this is not normal:
1. what version of OpenStack repositories did you install?
2. do you use EPEL by any chance?
abhaysap

abhaysap

2018-03-14 16:34

reporter   ~0031436

The version which i installed was pike and i did not used epel
abhaysap

abhaysap

2018-03-14 16:43

reporter   ~0031437

May some issue with installer
apevec

apevec

2018-03-19 14:04

reporter   ~0031460

setuptools dependency was removed in Packstack upstream https://review.openstack.org/#/q/I9c0f676ac2219001118f7191a6e5c8faee3312c4

Please open upstream bug report with exact openstack-packstack N-V-R
https://bugs.launchpad.net/packstack
abhaysap

abhaysap

2018-03-19 16:34

reporter   ~0031464

Ok may be its dependency got removed from queens packstack intstaller.
Below are the steps which i followed

sudo systemctl disable firewalld
sudo systemctl stop firewalld
sudo systemctl disable NetworkManager
sudo systemctl stop NetworkManager
sudo systemctl enable network
sudo systemctl start network


sudo yum install -y centos-release-openstack-pike
yum-config-manager --enable openstack-pike
sudo yum update -y
sudo yum install -y openstack-packstack
sudo packstack --allinone

which the steps mentioned above i faced the issue then i installed python setuptools and upgraded my pi and again ran the command it worked for me.
abhaysap

abhaysap

2018-03-19 17:22

reporter   ~0031466

similar issue faced while installing queens:-
below is the link i am referring to

https://www.rdoproject.org/install/packstack/

and it also got solved by just installing python setuptools

Issue History

Date Modified Username Field Change
2018-03-08 22:34 abhaysap New Issue
2018-03-08 22:34 abhaysap File Added: openstack error.txt
2018-03-09 22:23 mirzouch Note Added: 0031402
2018-03-10 21:47 abhaysap Note Added: 0031406
2018-03-14 15:18 hguemar Note Added: 0031434
2018-03-14 16:34 abhaysap Note Added: 0031436
2018-03-14 16:43 abhaysap Note Added: 0031437
2018-03-19 14:04 apevec Note Added: 0031460
2018-03-19 16:34 abhaysap Note Added: 0031464
2018-03-19 17:22 abhaysap Note Added: 0031466